import request from '@/utils/request'

// 新增参数
export function addAPI(data) {
    return request({
        url: '/smartPlatform/sys/config/add',
        method: 'POST',
        data: data,
    })
}

// 修改参数
export function editAPI(data) {
    return request({
        url: '/smartPlatform/sys/config/update',
        method: 'POST',
        data: data,
    })
}

// 删除参数
export function deleteAPI(data) {
    return request({
        url: '/smartPlatform/sys/config/del',
        method: 'POST',
        data: data,
    })
}

// 参数列表
export function getListAPI(data) {
    return request({
        url: '/smartPlatform/sys/config/list',
        method: 'GET',
        params: data,
    })
}

export function getNoAuthConfig(data) {
    return request({
        url: '/smartPlatform/sys/config/getConfig',
        method: 'GET',
        params: data,
        headers: {
            skipReplayProtection: true
        },
    })
}
